<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: PumpkinHelmet Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/dc5/class_pumpkin_helmet.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">PumpkinHelmet Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for PumpkinHelmet:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/dc5/class_pumpkin_helmet.png" usemap="#PumpkinHelmet_map" alt=""/>
  <map id="PumpkinHelmet_map" name="PumpkinHelmet_map">
<area href="../../d8/db4/class_clothing.html" alt="Clothing" shape="rect" coords="0,0,97,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7caf0629eae2494c3488d58d89514491"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html#a7caf0629eae2494c3488d58d89514491">PumpkinHelmet</a> ()</td></tr>
<tr class="separator:a7caf0629eae2494c3488d58d89514491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02c0b2f7494073af824e8a4ce0694bcd"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html#a02c0b2f7494073af824e8a4ce0694bcd">CanPutAsAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a02c0b2f7494073af824e8a4ce0694bcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86ea8244aee58acd5fd8fe75f87e6d90"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html#a86ea8244aee58acd5fd8fe75f87e6d90">OnMovedInsideCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> container)</td></tr>
<tr class="separator:a86ea8244aee58acd5fd8fe75f87e6d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4abd1936bdb3f5f8c10ac418361cdaae"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html#a4abd1936bdb3f5f8c10ac418361cdaae">OnMovedWithinCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> container)</td></tr>
<tr class="separator:a4abd1936bdb3f5f8c10ac418361cdaae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a133bcb7584122e99a4f785261188d01b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html#a133bcb7584122e99a4f785261188d01b">OnRemovedFromCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> container)</td></tr>
<tr class="separator:a133bcb7584122e99a4f785261188d01b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6a5f5b0b9a92932d1bae60c7da8bc35"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html#aa6a5f5b0b9a92932d1bae60c7da8bc35">EOnInit</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="el" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> extra)</td></tr>
<tr class="separator:aa6a5f5b0b9a92932d1bae60c7da8bc35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ebd682f9e9d6bffb9602d53ca8a1613"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html#a3ebd682f9e9d6bffb9602d53ca8a1613">OnItemLocationChanged</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_owner, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_owner)</td></tr>
<tr class="separator:a3ebd682f9e9d6bffb9602d53ca8a1613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2011d75c6ac5b27851551d3decfc38d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html#ac2011d75c6ac5b27851551d3decfc38d">EEHealthLevelChanged</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> oldLevel, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> newLevel, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> zone)</td></tr>
<tr class="separator:ac2011d75c6ac5b27851551d3decfc38d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a770c954167bce9d362ed51c48b45d97d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html#a770c954167bce9d362ed51c48b45d97d">UpdateGlowState</a> ()</td></tr>
<tr class="separator:a770c954167bce9d362ed51c48b45d97d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8c0261dc0956fb7ee8f683c4dd5cd81"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html#aa8c0261dc0956fb7ee8f683c4dd5cd81">UpdateNVGStatus</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d9/db9/classbool.html">bool</a> attaching=false, <a class="el" href="../../d9/db9/classbool.html">bool</a> force_disable=false)</td></tr>
<tr class="separator:aa8c0261dc0956fb7ee8f683c4dd5cd81"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00003">3</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7caf0629eae2494c3488d58d89514491" name="a7caf0629eae2494c3488d58d89514491"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7caf0629eae2494c3488d58d89514491">&#9670;&#160;</a></span>PumpkinHelmet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PumpkinHelmet::PumpkinHelmet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00005">5</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a02c0b2f7494073af824e8a4ce0694bcd" name="a02c0b2f7494073af824e8a4ce0694bcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02c0b2f7494073af824e8a4ce0694bcd">&#9670;&#160;</a></span>CanPutAsAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> PumpkinHelmet::CanPutAsAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00010">10</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>

</div>
</div>
<a id="ac2011d75c6ac5b27851551d3decfc38d" name="ac2011d75c6ac5b27851551d3decfc38d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2011d75c6ac5b27851551d3decfc38d">&#9670;&#160;</a></span>EEHealthLevelChanged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PumpkinHelmet::EEHealthLevelChanged </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>oldLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>newLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>zone</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00056">56</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>

</div>
</div>
<a id="aa6a5f5b0b9a92932d1bae60c7da8bc35" name="aa6a5f5b0b9a92932d1bae60c7da8bc35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6a5f5b0b9a92932d1bae60c7da8bc35">&#9670;&#160;</a></span>EOnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PumpkinHelmet::EOnInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>extra</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00044">44</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>

</div>
</div>
<a id="a3ebd682f9e9d6bffb9602d53ca8a1613" name="a3ebd682f9e9d6bffb9602d53ca8a1613"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ebd682f9e9d6bffb9602d53ca8a1613">&#9670;&#160;</a></span>OnItemLocationChanged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PumpkinHelmet::OnItemLocationChanged </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_owner</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_owner</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00049">49</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>

</div>
</div>
<a id="a86ea8244aee58acd5fd8fe75f87e6d90" name="a86ea8244aee58acd5fd8fe75f87e6d90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86ea8244aee58acd5fd8fe75f87e6d90">&#9670;&#160;</a></span>OnMovedInsideCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PumpkinHelmet::OnMovedInsideCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>container</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00029">29</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>

</div>
</div>
<a id="a4abd1936bdb3f5f8c10ac418361cdaae" name="a4abd1936bdb3f5f8c10ac418361cdaae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4abd1936bdb3f5f8c10ac418361cdaae">&#9670;&#160;</a></span>OnMovedWithinCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PumpkinHelmet::OnMovedWithinCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>container</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00034">34</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>

</div>
</div>
<a id="a133bcb7584122e99a4f785261188d01b" name="a133bcb7584122e99a4f785261188d01b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a133bcb7584122e99a4f785261188d01b">&#9670;&#160;</a></span>OnRemovedFromCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PumpkinHelmet::OnRemovedFromCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>container</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00039">39</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>

</div>
</div>
<a id="a770c954167bce9d362ed51c48b45d97d" name="a770c954167bce9d362ed51c48b45d97d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a770c954167bce9d362ed51c48b45d97d">&#9670;&#160;</a></span>UpdateGlowState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PumpkinHelmet::UpdateGlowState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00063">63</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>

</div>
</div>
<a id="aa8c0261dc0956fb7ee8f683c4dd5cd81" name="aa8c0261dc0956fb7ee8f683c4dd5cd81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8c0261dc0956fb7ee8f683c4dd5cd81">&#9670;&#160;</a></span>UpdateNVGStatus()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PumpkinHelmet::UpdateNVGStatus </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>attaching</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>force_disable</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html#l00092">92</a> of file <a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../d1/dca/_pumpkin_helmet_8c_source.html">PumpkinHelmet.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/dc5/class_pumpkin_helmet.html">PumpkinHelmet</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
